Skip to main content
POST
/
api
/
slides
/
analyze-and-generate
Analyze slide image and generate script
curl --request POST \
  --url https://app.demand-iq.com/api/slides/analyze-and-generate \
  --header 'Content-Type: application/json' \
  --cookie session= \
  --data '
{
  "imageUrl": "<string>",
  "deckContext": "<string>",
  "slideContext": "<string>"
}
'
{
  "title": "<string>",
  "bullets": [
    "<string>"
  ],
  "narrationScript": "<string>",
  "slideContext": "<string>"
}

Authorizations

session
string
cookie
required

Session cookie obtained from POST /api/auth/login.

Body

application/json
imageUrl
string
required

Accessible URL of the slide image to analyze

deckContext
string

Background info about the deck's audience and purpose

slideContext
string

Additional context specific to this slide

Response

Analysis results and generated script

title
string
bullets
string[]
narrationScript
string
slideContext
string | null